[Solved] Problems instaling pyCEGUI on Debian

Forum for support and development discussion regarding the python based unified editor tool for CEGUI, known as CEED.

Moderators: CEGUI MVP, CEGUI Team

isaac.lacoba
Just popping in
Just popping in
Posts: 3
Joined: Wed Sep 10, 2014 11:04

[Solved] Problems instaling pyCEGUI on Debian

Postby isaac.lacoba » Wed Sep 10, 2014 11:43

Hi everyone.
I'm trying to use CEED on Debian Jessie.
The first thing i did is follow that tutorial: http://cegui.org.uk/wiki/CEED

I have successfully installed CEGUI, but i wanna use CEED. When i execute ceed-gui in terminal i get the following message:
"Following problems found:
PyCEGUI package is missing! PyCEGUI provides Python bindings for CEGUI, the library this editor edits assets for, see cegui.org.uk. (exception: No module named PyCEGUI)
Your environment doesn't meet critical prerequisites! Can't start!"

I dont know how to install pyCEGUI on Debian.

I really appreciate any help.
A greeting.

User avatar
Kulik
CEGUI Team
Posts: 1382
Joined: Mon Jul 26, 2010 18:47
Location: Czech Republic
Contact:

Re: Problems instaling pyCEGUI on Debian

Postby Kulik » Wed Sep 10, 2014 12:03

There is an elaborate guide on the page you linked. Where exactly do you encounter problems? Post error messages.

PS: Create a bug report for Debian, bug them to package CEED and/or CEGUI if you want it.

isaac.lacoba
Just popping in
Just popping in
Posts: 3
Joined: Wed Sep 10, 2014 11:04

Re: Problems instaling pyCEGUI on Debian

Postby isaac.lacoba » Wed Sep 10, 2014 16:16

First of all, i forgot to mention that i'm using CEGUI 0.8.
Well, in fact i dont see any error. I was following the step in tutotial:
hg clone https://bitbucket.org/cegui/cegui
hg clone https://bitbucket.org/cegui/ceed
cd ceed
hg update v0-8
cd ../
cd cegui
hg update v0-8
cd ../
mkdir cegui/build
cd cegui/build
cmake -DCEGUI_BUILD_PYTHON_MODULES=ON -DCEGUI_BUILD_RENDERER_OPENGL=ON -DCEGUI_BUILD_RENDERER_OPENGL3=ON ../

and this is the output of the cmake command:
-- The C compiler identification is GNU 4.9.1
-- The CXX compiler identification is GNU 4.9.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Found PCRE: /usr/lib/x86_64-linux-gnu/libpcre.so
-- Found FREETYPE: /usr/lib/x86_64-linux-gnu/libfreetype.so
-- Could NOT find MINIZIP (missing: MINIZIP_LIB MINIZIP_H_PATH)
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.28")
-- checking for module 'fribidi'
-- package 'fribidi' not found
-- Could NOT find FRIBIDI (missing: FRIBIDI_FOUND_ALL_LIBS FRIBIDI_INCLUDE_DIR)
-- Performing Test ICONV_LIB_GLIBC
-- Performing Test ICONV_LIB_GLIBC - Success
-- Performing Test CEGUI_ICONV_USES_CONST_INBUF
-- Performing Test CEGUI_ICONV_USES_CONST_INBUF - Failed
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so
-- Looking for XOpenDisplay in /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so
-- Could NOT find GLEW (missing: GLEW_LIB GLEW_H_PATH)
-- Could NOT find GLM (missing: GLM_H_PATH)
-- Found GLFW: /usr/lib/libglfw.so
-- Could NOT find DIRECTXSDK (missing: DIRECTXSDK_LIB_PATH DIRECTXSDK_H_PATH DIRECTXSDK_MAX_D3D)
-- Could NOT find D3DX11EFFECTS (missing: D3DX11EFFECTS_LIB D3DX11EFFECTS_H_PATH)
-- Could NOT find IRRLICHT (missing: IRRLICHT_LIB IRRLICHT_H_PATH)
-- Found OGRE: /usr/lib/x86_64-linux-gnu/libOgreMain.so
-- Boost version: 1.55.0
-- Found the following Boost libraries:
-- thread
-- system
-- Found OIS: /usr/lib/x86_64-linux-gnu/libOIS.so
-- Found DIRECTFB: /usr/lib/x86_64-linux-gnu/libdirectfb.so
-- Could NOT find OPENGLES (missing: OPENGLES_LIB OPENGLES_H_PATH)
-- Found EXPAT: /usr/lib/x86_64-linux-gnu/libexpat.so
-- Could NOT find XERCESC (missing: XERCESC_LIB XERCESC_H_PATH)
-- Found LibXml2: /usr/lib/x86_64-linux-gnu/libxml2.so (found version "2.9.1")
-- Could NOT find TINYXML (missing: TINYXML_LIB TINYXML_H_PATH)
-- Could NOT find RAPIDXML (missing: RAPIDXML_H_PATH)
-- Could NOT find IL (missing: IL_LIB IL_H_PATH)
-- Could NOT find ILU (missing: ILU_LIB)
-- Found FREEIMAGE: /usr/lib/libfreeimage.so
-- Could NOT find SILLY (missing: SILLY_LIB SILLY_H_PATH)
-- Could NOT find CORONA (missing: CORONA_LIB CORONA_H_PATH)
-- Could NOT find PVRTOOLS (missing: PVRTOOLS_LIB PVRTOOLS_H_PATH)
-- Could NOT find LUA51 (missing: LUA_LIB LUA_H_PATH)
-- Could NOT find TOLUAPP (missing: TOLUAPP_LIB TOLUAPP_H_PATH)
-- Found PythonInterp: /usr/bin/python (found version "2.7.8")
-- Found PythonLibs: /usr/lib/python3.2/config/libpython3.2.so (found version "2.7.8")
-- Could NOT find Boost
-- Found Doxygen: /usr/bin/doxygen (found version "1.8.7")
-- Found GTK2_GTK: /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so
-- Configuring done
-- Generating done
-- Build files have been written to: /home/cegui/build

The only thing that i dont do exactly as the tutorial is the installation of this dependence: boost-python.
In Debian, i couldn't find any package with similar name. The package that i think is the correct one is that: libboost-python-dev

Additionally, i saw this tutorial: http://cegui.org.uk/wiki/Build_PyCEGUI_ ... _for_Linux
But i dont know what differences exist to make it works that tutorial on CEGUI 0.8

PD: sorry for my english :oops:

User avatar
Kulik
CEGUI Team
Posts: 1382
Joined: Mon Jul 26, 2010 18:47
Location: Czech Republic
Contact:

Re: Problems instaling pyCEGUI on Debian

Postby Kulik » Wed Sep 10, 2014 17:52

apt-get install libboost-dev

If I recall correctly.

isaac.lacoba
Just popping in
Just popping in
Posts: 3
Joined: Wed Sep 10, 2014 11:04

Re: Problems instaling pyCEGUI on Debian

Postby isaac.lacoba » Mon Sep 15, 2014 20:29

Finally i managed to install the editor.
Just i didn't have all the dependencies. I have recompiled and reinstalled CEGUI and now all is working.

Apologies for any inconvenience and thanks a lot for the help.
A greeting.

PD: Sorry for my english ;)

User avatar
Ident
CEGUI Team
Posts: 1926
Joined: Sat Oct 31, 2009 13:57
Location: Austria

Re: [Solved] Problems instaling pyCEGUI on Debian

Postby Ident » Tue Sep 16, 2014 06:13

No worries. We are glad you got it run finally. Could you tell us what your problem was in the and and present the steps you had to take to get it to run (what deps you were missing etc) so that the next Debian user might have an easier time getting this to run? Was Kulik's suggestion all that was needed to make it work?
CrazyEddie: "I don't like GUIs"

Frankattack
Just popping in
Just popping in
Posts: 1
Joined: Mon Jan 26, 2015 23:25

Re: [Solved] Problems instaling pyCEGUI on Debian

Postby Frankattack » Mon Jan 26, 2015 23:48

I am in the same situacion as Isaac. :(

User avatar
Ident
CEGUI Team
Posts: 1926
Joined: Sat Oct 31, 2009 13:57
Location: Austria

Re: [Solved] Problems instaling pyCEGUI on Debian

Postby Ident » Tue Jan 27, 2015 18:15

Did you check if you have all dependencies?
CrazyEddie: "I don't like GUIs"


Return to “Official Unified CEGUI Editor Tool (CEED)”

Who is online

Users browsing this forum: No registered users and 2 guests